%undefine __libtoolize
%define qtdir /usr/lib/qt3
%add_findprov_lib_path %_libdir/kde3

Name: quanta
Version: 3.2.3
%define beta %nil
Release: alt1
Serial: 1

Summary: A web editor for the KDE Desktop Environment
Group: Development/Other
Url: http://quanta.sf.net
License: GPL

Requires: %{get_dep kdelibs}

Source: %name-%version%beta.tar.bz2
Source1: %name-css.tar.bz2
Source2: %name-php_manual_en_20030401.tar.bz2
Source3: %name-html.tar.bz2
Source4: %name-javascript.tar.bz2

# RH
Patch1: quanta-javascript.patch
# ALT
Patch10: quanta-3.1.3-anyfix.patch
Patch11: 3.2.1-flags.patch
# Sergey Sukiyazov <corwin at micom.net.ru>
Patch21: quanta-3.1.4-fix-statusline-i18n.patch

# Automatically added by buildreq on Sat Mar 20 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libbfd-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel libtiff-devel libxml2-devel libxslt-devel qt3-designer xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ libbfd-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel libtiff-devel libxml2-devel libxslt-devel
BuildRequires: qt3-designer xml-utils zlib-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs > 3.0 kdelibs-devel > 3.0


%description
A html editor for the K Desktop Environment.

%prep
%setup -q -a1 -a2 -a3 -a4 -n %name-%version%beta
%patch1 -p0
#
#%patch10 -p1
#%patch11 -p1
#
#%patch21 -p1

#subst "s|\-DQT_NO_SQL||g" kommander/configure.in.in
subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
export KDEDIR=%prefix
export QTDIR=%qtdir
export KDECONFIG=/usr/share/config/kde-config
export kde_libraries=%_libdir
#%%add_optflags -DNDEBUG -UDEBUG -D_GNU_SOURCE

#%%add_optflags -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
%add_optflags -DQT_NO_COMPAT

%configure  \
	    --disable-debug \
	    --disable-rpath \
	    --enable-shared \
	    --disable-static \
	    --enable-final \
	    --without-arts \
	    --with-kommander \
	    --program-transform-name=""

#%make_build CFLAGS="%optflags"  CXXFLAGS="%optflags" ||:
#%make_build CFLAGS="%optflags"  CXXFLAGS="%optflags"
%make_build

%install
export KDEDIR=%prefix
export QTDIR=%qtdir
make DESTDIR=%buildroot kde_libraries=%_libdir install

cp -r css/css* %buildroot$KDEDIR/share/apps/quanta/doc
cp -r php/php* %buildroot$KDEDIR/share/apps/quanta/doc
cp -r html/html* %buildroot$KDEDIR/share/apps/quanta/doc
cp -r javascript/javascript* %buildroot$KDEDIR/share/apps/quanta/doc

mkdir -m755 -p %buildroot%_docdir/HTML/en/quanta
mv -f %buildroot$KDEDIR/share/apps/%name/doc %buildroot%_docdir/HTML/en/quanta
ln -s %_docdir/HTML/en/quanta/doc %buildroot$KDEDIR/share/apps/%name/doc

mkdir -p %buildroot/{%_liconsdir,%_miconsdir}
ln -s ../hicolor/16x16/apps/quanta.png %buildroot/%_miconsdir/quanta.png 
ln -s ./hicolor/32x32/apps/quanta.png %buildroot/%_iconsdir/quanta.png 
ln -s ../hicolor/16x16/apps/quanta.png %buildroot/%_liconsdir/quanta.png 

##menus created
mkdir -p %buildroot/usr/lib/menu

kdedesktop2mdkmenu.pl %name "Applications/Development/Development environments" %buildroot/%_datadir/applnk/Development/quanta.desktop %buildroot/%_menudir/%name-quanta
kdedesktop2mdkmenu.pl %name Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kmdr-editor.desktop %buildroot/%_menudir/%name-kmdr-editor
kdedesktop2mdkmenu.pl %name Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kxsldbg.desktop %buildroot/%_menudir/%name-kxsldbg
kdedesktop2mdkmenu.pl %name Applications %buildroot/%_datadir/applnk/Applications/kmdr-executor.desktop %buildroot/%_menudir/%name-kmdr-executor kde

%find_lang %name

%files -f %name.lang
%_bindir/*
%_libdir/lib*.so*
#%_libdir/%name
%_libdir/kde3/libkfilereplacepart.*
%_libdir/kde3/libkxsldbgpart.*
#%_datadir/apps/kate*
%_datadir/apps/%name
%_datadir/apps/kfilereplacepart
%_datadir/apps/kafkapart
%_datadir/apps/kxsldbg
%_datadir/apps/kxsldbgpart
%_datadir/services/kfilereplacepart.desktop
%_datadir/services/kxsldbg_part.desktop
%_datadir/mimelnk/application/x-kommander.desktop
%doc %_docdir/HTML/en/%name
%doc %_docdir/HTML/en/kxsldbg
#%_miconsdir/*.png
#%_iconsdir/*.png
#%_liconsdir/*.png
%_iconsdir/*/*/apps/%name.png
%_iconsdir/*/*/actions/xsldbg_*.png
%_iconsdir/*/*/*/kmdr
#%_iconsdir/*/*/*/kmdr/*.png
#
%_datadir/applnk/Development/*.desktop
%_datadir/applnk/Applications/kmdr-executor.desktop
%_menudir/*

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%changelog
* Wed Jun 09 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.3-alt1
- new version

* Wed Apr 21 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.2-alt1
- new version

* Sat Mar 20 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.1-alt1
- new version

* Mon Oct 06 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.4-alt1
- update from cvs
- thanks Sergey Sukiyazov <corwin at micom.net.ru> for i18n fixes

* Fri Aug 22 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.3-alt1
- update code from cvs

* Thu Jul 03 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.2-alt2
- update code from cvs

* Mon Jun 02 2003 Sergey V Turchin <zerg at altlinux dot ru> 1:3.1.2-alt1
- update from cvs QUANTA_3_1_BRANCH

* Tue May 06 2003 Sergey V Turchin <zerg at altlinux dot ru> 1:3.1.1-alt2
- update from cvs QUANTA_3_1_BRANCH

* Thu Mar 20 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.1-alt1
- update from cvs QUANTA_3_1_BRANCH

* Thu Feb 06 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1-alt3
- update from cvs

* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1-alt2
- fix BuildRequires
- tarball from KDE-3.1rc6

* Wed Dec 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1-alt1
- release

* Tue Nov 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1-alt0.1.rc2
- 3.1rc2

* Mon Nov 04 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0-alt6.pr2a
- rebuild with new qt/kde

* Tue Oct 08 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0-alt5.pr2a
- back to pr2a

* Thu Oct 03 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0-alt4
- fix requires && provides

* Tue Oct 01 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0-alt3
- release

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0-alt2.pr1
- rebuild with gcc3.2

* Mon Aug 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0-alt1.pr1
- new version

* Mon Jun 10 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.1-alt0.2
- update from cvs
- fix requires

* Tue May 28 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.1-alt0.1
- cvs snapshot
- build with KDE3

* Mon Mar 04 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.0.1-alt4
- fix %%build

* Thu Feb 14 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.0.1-alt3
- fix showing docs

* Fri Jan 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.0.1-alt2
- rebuild without fam

* Thu Dec 13 2001 Sergey V Turchin <zerg@altlinux.ru> 1:2.0.1-alt1
- new version

* Tue Dec 11 2001 Sergey V Turchin <zerg@altlinux.ru> 1:2.0-alt1
- new version

* Fri Nov 09 2001 Sergey V Turchin <zerg@altlinux.ru> 2.0pr2-alt5
- rebuild with rpm4
- mini %%files fix

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 2.0pr2-alt4
- rebuild with new libpng

* Wed Aug 27 2001 Sergey V Turchin <zerg@altlinux.ru> 2.0pr2-alt3
- sorry, add sign

* Fri Aug 24 2001 Sergey V Turchin <zerg@altlinux.ru> 2.0pr2-alt2
- cleanup spec
- rebuild with KDE 2.2

* Mon May 07 2001 Rider <rider@altlinux.ru>
- 2.0pr2

* Sun Dec 10 2000 AEN <aen@logic.ru>
- new beta

* Wed Oct 25 2000 AEN <aen@logic.ru>
- 2.0.b3
- documentation added

* Fri Sep 29 2000 AEN <aen@logic.ru>
- 2.0.b1 for RE

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Code update

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Code update

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Code update

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- First build for MandrakeSoft

